> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heydollr.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Predict Card Provider Info



## OpenAPI

````yaml https://api.heydollr.app/openapi.json get /{version}/predictions/card-provider-info
openapi: 3.1.0
info:
  title: Dollr Open API
  version: 1.0.0
servers: []
security: []
paths:
  /{version}/predictions/card-provider-info:
    get:
      tags:
        - predictions
      summary: Predict Card Provider Info
      operationId: predict_card_provider_info__version__predictions_card_provider_info_get
      parameters:
        - name: version
          in: path
          required: true
          schema:
            const: v1
            type: string
            title: API version
        - name: payment_method_id
          in: query
          required: true
          schema:
            type: string
            title: Payment method identifier
        - name: operation_type
          in: query
          required: true
          schema:
            enum:
              - COLLECTION
              - PAYOUT
              - TRANSFER
              - REFUND
            type: string
            title: Operation type (e.g. COLLECTION, PAYOUT)
        - name: provider
          in: query
          required: false
          schema:
            anyOf:
              - const: STRIPE
                type: string
                title: Card provider
              - type: 'null'
            title: Provider
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PredictCardPaymentInfoResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    PredictCardPaymentInfoResponse:
      properties:
        country:
          type: string
          title: Country
        currencies:
          items:
            type: string
            maxLength: 3
            minLength: 3
          type: array
          title: Currencies
        payment_method:
          type: string
          title: Payment Method
        gateway_provider:
          type: string
          title: Gateway Provider
        operation_type:
          type: string
          title: Operation Type
        brand:
          type: string
          title: Brand
      type: object
      required:
        - country
        - currencies
        - payment_method
        - gateway_provider
        - operation_type
        - brand
      title: PredictCardPaymentInfoResponse
      description: PredictCardPaymentInfoResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````